log4cplus::thread::SyncGuard< SyncPrim > Class Template Reference

`#include <syncprims.h>`

Inheritance diagram for log4cplus::thread::SyncGuard< SyncPrim >:
[legend]

## Public Member Functions

| SyncGuard ()
| SyncGuard (SyncPrim const &)
| ~SyncGuard ()
| SyncGuard (SyncGuard const &)=delete
SyncGuard & | operator= (SyncGuard const &)=delete
void | lock ()
void | unlock ()
void | attach (SyncPrim const &)
void | attach_and_lock (SyncPrim const &)
void | detach ()

## Detailed Description

template<typename SyncPrim>
class log4cplus::thread::SyncGuard< SyncPrim >

Definition at line 42 of file syncprims.h.

## Constructor & Destructor Documentation

## SyncGuard() [1/3]

template<typename SyncPrim>

log4cplus::thread::SyncGuard< SyncPrim >::SyncGuard | ( |  | ) |

inline

Definition at line 210 of file syncprims.h.

## SyncGuard() [2/3]

template<typename SyncPrim>

log4cplus::thread::SyncGuard< SyncPrim >::SyncGuard | ( | SyncPrim const & | m | ) |

inline

Definition at line 217 of file syncprims.h.

## ~SyncGuard()

template<typename SyncPrim>

log4cplus::thread::SyncGuard< SyncPrim >::~SyncGuard | ( |  | ) |

inline

Definition at line 226 of file syncprims.h.

## SyncGuard() [3/3]

template<typename SyncPrim>

log4cplus::thread::SyncGuard< SyncPrim >::SyncGuard | ( | SyncGuard< SyncPrim > const & |  | ) |

delete

## Member Function Documentation

## attach()

template<typename SyncPrim>

void log4cplus::thread::SyncGuard< SyncPrim >::attach | ( | SyncPrim const & | m | ) |

inline

Definition at line 254 of file syncprims.h.

Referenced by attach_and_lock().

## attach_and_lock()

template<typename SyncPrim>

void log4cplus::thread::SyncGuard< SyncPrim >::attach_and_lock | ( | SyncPrim const & | m | ) |

inline

Definition at line 263 of file syncprims.h.

References attach(), detach(), and lock().

## detach()

template<typename SyncPrim>

void log4cplus::thread::SyncGuard< SyncPrim >::detach | ( |  | ) |

inline

Definition at line 281 of file syncprims.h.

Referenced by attach_and_lock().

## lock()

template<typename SyncPrim>

void log4cplus::thread::SyncGuard< SyncPrim >::lock | ( |  | ) |

inline

Definition at line 236 of file syncprims.h.

Referenced by attach_and_lock().

## operator=()

template<typename SyncPrim>

SyncGuard & log4cplus::thread::SyncGuard< SyncPrim >::operator= | ( | SyncGuard< SyncPrim > const & |  | ) |

delete

## unlock()

template<typename SyncPrim>

void log4cplus::thread::SyncGuard< SyncPrim >::unlock | ( |  | ) |

inline

Definition at line 245 of file syncprims.h.

The documentation for this class was generated from the following file:

- syncprims.h